Skip to main content
GET
Get Document Split

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Job ID to query

tenant
string | null
required

The domain of the customer

Example:

"example.com"

Response

Successful Response

source_document_id
string
required

The ID of the original document that was split.

document_splits
DocumentSplit · object[]
required

The list of document splits created as a result of the split.

status
enum<string>
required

Job status: 'in_progress', 'completed', or 'failed'.

Available options:
in_progress,
completed,
failed
job_id
string | null

Job ID if split is in progress. Null when completed.

total_pages
integer | null

Total pages in the document.

pages_processed
integer | null

Pages processed so far.

error_message
string | null

Error message if job failed.